Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface TimeBroker

All Known Implementing Classes:
  SimpleTimeBroker

Deprecated. TimeBroker is not currently used in the Quartz code base.

    public interface TimeBroker

NOTE: TimeBroker is not currently used in the Quartz code base.

The interface to be implemented by classes that want to provide a mechanism by which the ``QuartzScheduler`` can reliably determine the current time.

In general, the default implementation of this interface (``SimpleTimeBroker``- which simply uses `System.getCurrentTimeMillis()` )is sufficient. However situations may exist where this default scheme is lacking in its robustness - especially when Quartz is used in a clustered configuration. For example, if one or more of the machines in the cluster has a system time that varies by more than a few seconds from the clocks on the other systems in the cluster, scheduling confusion will result.

Author:
  James House
See Also:
  `QuartzScheduler`

Method Summary
`Date` | `getCurrentTime()` Deprecated. Get the current time, as known by the `TimeBroker`.
`void` | `initialize()` Deprecated. Called by the QuartzScheduler before the `TimeBroker` is used, in order to give the it a chance to initialize.
`void` | `shutdown()` Deprecated. Called by the QuartzScheduler to inform the `TimeBroker` that it should free up all of it's resources because the scheduler is shutting down.

Method Detail

### getCurrentTime

    Date getCurrentTime()
                        throws SchedulerException

  Deprecated.

  Get the current time, as known by the `TimeBroker`.

  Throws:
    `SchedulerException` - with the error code set to SchedulerException.ERR_TIME_BROKER_FAILURE

### initialize

    void initialize()
                    throws SchedulerConfigException

  Deprecated.

  Called by the QuartzScheduler before the `TimeBroker` is used, in order to give the it a chance to initialize.

  Throws:
    `SchedulerConfigException`

### shutdown

    void shutdown()

  Deprecated.

  Called by the QuartzScheduler to inform the `TimeBroker` that it should free up all of it's resources because the scheduler is shutting down.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.